## ros-rolling-tlsf 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(tlsf)

if(WIN32 OR APPLE OR ANDROID)
  message(STATUS "tlsf allocator does not target Windows, OSX or Android, skipping...")
  return()
endif()

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

add_library(${PROJECT_NAME} STATIC src/tlsf.c src/target.h include/tlsf/tlsf.h)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include/tlsf>"
  "$<INSTALL_INTERFACE:include>")
set_target_properties(${PROJECT_NAME} PROPERTIES C_VISIBILITY_PRESET hidden)

ament_export_targets(export_${PROJECT_NAME})

# Disable linting for now.
#if(BUILD_TESTING)
#  find_package(ament_lint_auto REQUIRED)
#  ament_lint_auto_find_test_dependencies()
#endif()

ament_package()

install(DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-rolling-tlsf (0.6.0-1focal) focal; urgency=high

  * Export a modern CMake target instead of old-style variables (#10 <https://github.com/ros2/tlsf/issues/10>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 13 Dec 2021 05:00:00 -0000

ros-rolling-tlsf (0.5.2-1focal) focal; urgency=high

  * Switch to standard __VA_ARGS__. (#9 <https://github.com/ros2/tlsf/issues/9>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 04:00:00 -0000

ros-rolling-tlsf (0.5.1-1focal) focal; urgency=high

  * Enable basic warnings (#8 <https://github.com/ros2/tlsf/issues/8>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 05:00:00 -0000

ros-rolling-tlsf (0.5.0-1focal) focal; urgency=high

  * Change maintainer to me.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 Jun 2018 04:00:00 -0000

ros-rolling-tlsf (0.4.0-1focal) focal; urgency=high

  * 0.0.3
  * 0.0.2
  * update schema url
  * add schema to manifest files
  * Merge pull request #4 <https://github.com/ros2/tlsf/issues/4> from ros2/cmake35
    require CMake 3.5
  * require CMake 3.5
  * Disable on Android (#3 <https://github.com/ros2/tlsf/issues/3>)
  * Merge pull request #2 <https://github.com/ros2/tlsf/issues/2> from ros2/ctest_build_testing
    use CTest BUILD_TESTING
  * use CTest BUILD_TESTING
  * Merge pull request #1 <https://github.com/ros2/tlsf/issues/1> from ros2/dirk-thomas-patch-1
    remove -fvisibility-inlines-hidden
  * remove -fvisibility-inlines-hidden
    > warning: command line option ‘-fvisibility-inlines-hidden’ is valid for C++/ObjC++ but not for C
  * Skip Windows and OSX
  * Import tlsf allocator
  * Contributors: Dirk Thomas, Esteve Fernandez, Jackie Kay

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 08 Dec 2017 05:00:00 -0000

=== debian/control ===
Source: ros-rolling-tlsf
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-tlsf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, ros-rolling-ros-workspace
Description: TLSF allocator version 2.4.6

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-tlsf//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-tlsf 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 add_library(${PROJECT_NAME} STATIC src/tlsf.c src/target.h include/tlsf/tlsf.h)
 target_include_directories(${PROJECT_NAME} PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include/tlsf>"
-  "$<INSTALL_INTERFACE:include>")
+  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
 set_target_properties(${PROJECT_NAME} PROPERTIES C_VISIBILITY_PRESET hidden)
 
 ament_export_targets(export_${PROJECT_NAME})
@@ -34,7 +34,7 @@
 ament_package()
 
 install(DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/${PROJECT_NAME}
 )
 
 install(

=== debian/changelog ===
ros-rolling-tlsf (0.9.0-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-tlsf (0.8.2-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#13 <https://github.com/ros2/tlsf/issues/13>)
  * Contributors: Audrow Nash

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-tlsf (0.8.1-1jammy) jammy; urgency=high

  * Update maintainers (#12 <https://github.com/ros2/tlsf/issues/12>)
  * Contributors: methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-tlsf (0.8.0-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-tlsf (0.7.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#11 <https://github.com/ros2/tlsf/issues/11>)
  * Contributors: Shane Loretz

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-tlsf (0.6.0-1jammy) jammy; urgency=high

  * Export a modern CMake target instead of old-style variables (#10 <https://github.com/ros2/tlsf/issues/10>)
  * Contributors: Shane Loretz

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 13 Dec 2021 00:00:00 -0000

ros-rolling-tlsf (0.5.2-1jammy) jammy; urgency=high

  * Switch to standard __VA_ARGS__. (#9 <https://github.com/ros2/tlsf/issues/9>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-tlsf (0.5.1-1jammy) jammy; urgency=high

  * Enable basic warnings (#8 <https://github.com/ros2/tlsf/issues/8>)
  * Contributors: Audrow Nash

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-tlsf (0.5.0-1jammy) jammy; urgency=high

  * Change maintainer to me.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 26 Jun 2018 00:00:00 -0000

ros-rolling-tlsf (0.4.0-1jammy) jammy; urgency=high

  * 0.0.3
  * 0.0.2
  * update schema url
  * add schema to manifest files
  * Merge pull request #4 <https://github.com/ros2/tlsf/issues/4> from ros2/cmake35
    require CMake 3.5
  * require CMake 3.5
  * Disable on Android (#3 <https://github.com/ros2/tlsf/issues/3>)
  * Merge pull request #2 <https://github.com/ros2/tlsf/issues/2> from ros2/ctest_build_testing
    use CTest BUILD_TESTING
  * use CTest BUILD_TESTING
  * Merge pull request #1 <https://github.com/ros2/tlsf/issues/1> from ros2/dirk-thomas-patch-1
    remove -fvisibility-inlines-hidden
  * remove -fvisibility-inlines-hidden
    > warning: command line option ‘-fvisibility-inlines-hidden’ is valid for C++/ObjC++ but not for C
  * Skip Windows and OSX
  * Import tlsf allocator
  * Contributors: Dirk Thomas, Esteve Fernandez, Jackie Kay

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-tlsf
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-tlsf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, ros-rolling-ros-workspace
Description: TLSF allocator version 2.4.6

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
